REM ASSEMBLE AND EXECUTE PC/370 DEMO PROGRAMS ON %1%2
REM
REM   THE DEMO PROGRAMS PROVIDE BENCHMARK STATISTICS ON EXECUTION
REM   SPEED ON DIFFERENT MACHINES AND ILLUSTRATE FUNCTIONS
REM
REM   THE TEST PROGRAMS VERIFY USER FACILITIES ARE WORKING AND ALSO
REM   PROVIDE ILLUSTRATIONS.
REM
PAUSE PRESS ENTER TO PROCEED USING DRIVE/DIRECTORY %1%2
%1
CD %1%2
REM SIEVE CALCULATES PRIMES ENDING IN 9 UP TO 100,000 USING 100K TABLE
A370 SIEVE
L370 SIEVE
SIEVE
ERASE SIEVE.OBJ
ERASE SIEVE.COM
REM DEMOPNUM CALCULATES FIRST 100 PRIMES (OLD BENCHMARK DEMO)
A370 DEMOPNUM
L370 DEMOPNUM
DEMOPNUM
ERASE DEMOPNUM.OBJ
ERASE DEMOPNUM.COM
REM DEMO8Q CALCULATES SOLUTIONS TO 8 QUEENS PROBLEM USING RECURSION
A370 DEMO8Q
L370 DEMO8Q
DEMO8Q
ERASE DEMO8Q.OBJ
ERASE DEMO8Q.COM
REM DEMOAST1 USES ASSIST TO READ AND WRITE FILE
A370 DEMOAST1
L370 DEMOAST1
DEMOAST1
COPY DEMOAST1.LOG CON:
REM DEMOAST2 USES ASSIST TO CALC BIGGEST AND SMALLEST NUMBER IN FILE
A370 DEMOAST2
L370 DEMOAST2
DEMOAST2
COPY DEMOAST2.LOG CON:
REM DEMOAST3 USES VERY SHORT ASSIST (4 LINES) TO OUTPUT TO DEFAULT FILE
A370 DEMOAST3
L370 DEMOAST3
DEMOAST3
COPY ASSIST.PRN CON:
REM DEMOAST4 USES NEW ASSIST FILE REDIRECTION TO INPUT/OUTPUT FILE/CONSOLE
A370 DEMOAST4
L370 DEMOAST4
DEMOAST4
ERASE DEMOAST*.OBJ
ERASE DEMOAST*.COM
ERASE DEMOAST*.LOG
ERASE ASSIST.PRN
REM RUN DEMO TO CALCULATE E USING DETERMINISTIC ROUTINE
A370 DEMOHATS
L370 DEMOHATS
DEMOHATS
ERASE DEMOHATS.OBJ
ERASE DEMOHATS.COM
REM RUN DEMO TO LIST ALL ALC FILES AND RECORD COUNTS IN SEQ.
A370 DEMOSRC
L370 DEMOSRC
DEMOSRC *.ALC
ERASE DEMOSRC.OBJ
ERASE DEMOSRC.COM
REM TESTSVC TESTS GMAIN/FMAIN, 8086 USER EXIT, SPIE, CHAR I/O
A370 TESTSVC
L370 TESTSVC
TESTSVC
ERASE TESTSVC.OBJ
ERASE TESTSVC.COM
REM TEST25ML DYNMAICALLY LOADS AND EXECUTES 370 CODE MODULES
A370 TEST25ML
L370 TEST25ML
A370 TEST25S1
L370 TEST25S1/M
A370 TEST25S2
L370 TEST25S2
A370 TEST25S3
L370 TEST25S3
TEST25ML
ERASE TEST25*.OBJ
ERASE TEST25*.COM
ERASE TEST25*.MOD
REM TESTAT TESTS ASSIST FILE I/O AND EXTENDED INSTRUCTIONS
A370 TESTAT
L370 TESTAT
TESTAT
ERASE TESTAT.OBJ
ERASE TESTAT.COM
ERASE TESTAT.PRN
REM TESTIO TESTS NEW FILE I/O SUPPORT
A370 TESTIO
L370 TESTIO
TESTIO
ERASE TESTIO.OBJ
ERASE TESTIO.COM
REM VERIFY FILES CREATED MATCH ORIGINAL TEST FILES
COMP TESTF.DAT TESTF.SAV
COMP TESTV.DAT TESTV.SAV
COMP TESTT.DAT TESTT.SAV
COMP TESTC.DAT TESTF.SAV
ERASE TESTF.DAT
ERASE TESTV.DAT
ERASE TESTC.DAT
ERASE TESTT.DAT
REM TESTMM TESTS VIRTUAL STORAGE MEMORY MANAGEMENT
A370 TESTMM
L370 TESTMM
TESTMM
ERASE TESTMM.OBJ
ERASE TESTMM.COM
REM TESTPSW LOADS CLOCK EXTERNAL INTERRUPT HANDLER TO DISPLAY TIME
A370 DTIME
COPY DTIME.OBJ TESTPSW.LIB
COPY DTIME.OBJ CLOCK.LIB
A370 TESTPSW
L370 TESTPSW
A370 CLOCK
L370 CLOCK/M
TESTPSW
ERASE DTIME.OBJ
ERASE TESTPSW.OBJ
ERASE TESTPSW.LIB
ERASE TESTPSW.COM
ERASE CLOCK.OBJ
ERASE CLOCK.MOD
ERASE CLOCK.LIB
A370 TESTFCB
L370 TESTFCB
TESTFCB
ERASE TESTFCB.OBJ
ERASE TESTFCB.COM
REM VERIFY FILE CREATED MATCHES ORIGINAL TEST FILE
COMP TESTFCB.DAT TESTFCB.SAV
ERASE TESTFCB.DAT
REM TEST SVC'S 28-34 FOR ASCII WTO AND USE OF GENERAL INTERRUPT SVC 34
A370 TESTINT
L370 TESTINT
TESTINT
ERASE TESTINT.OBJ
ERASE TESTINT.COM
REM END OF PC370 DEMO'S AND TEST'S
